Bug 1113450 - Gui font encoding broken with gretl
Summary: Gui font encoding broken with gretl
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gretl
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: hannes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-26 08:29 UTC by Stefan Grosse
Modified: 2014-07-30 10:10 UTC (History)
1 user (show)

Fixed In Version: gretl-1.9.90-3.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-17 04:28:39 UTC
Type: Bug


Attachments (Terms of Use)
Broken encoding in the menu of gretl (56.98 KB, image/png)
2014-06-26 08:29 UTC, Stefan Grosse
no flags Details

Description Stefan Grosse 2014-06-26 08:29:58 UTC
Created attachment 912376 [details]
Broken encoding in the menu of gretl

Description of problem:
The font encoding of the gui is broken with the consequence that German Umlauts are not correctly shown.

Version-Release number of selected component (if applicable):
1.9.90-1.fc20

How reproducible:
Just open gretl with German language set 

Steps to Reproduce:
1.
2.
3.

Actual results:
Broken Umlauts 

Expected results:
ü ä shown undestructed ;-)

Additional info:

Comment 1 hannes 2014-07-06 05:37:38 UTC
Hello,

this problem was also known upstream, I added a patch and I would like to ask you if you could check if the following build fixes the issue:
http://koji.fedoraproject.org/koji/taskinfo?taskID=7109356
It's a scratch build and I haven't submitted it yet, but wanted to make sure that it really fixes the issue.
Please just select the appropriate architecture (x86_64 or i686) and download the gretl rpm and install it via "yum localinstall /path/to/rpm".

Would be great if you could give me some feedback!

Thanks for your bug reports!

Johannes

Comment 2 Fedora Update System 2014-07-06 06:09:05 UTC
gretl-1.9.90-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gretl-1.9.90-3.fc19

Comment 3 Fedora Update System 2014-07-06 06:12:25 UTC
gretl-1.9.90-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gretl-1.9.90-3.fc20

Comment 4 Fedora Update System 2014-07-08 01:03:26 UTC
Package gretl-1.9.90-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gretl-1.9.90-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8159/gretl-1.9.90-3.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-07-08 01:03:28 UTC
Package gretl-1.9.90-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gretl-1.9.90-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8160/gretl-1.9.90-3.fc19
then log in and leave karma (feedback).

Comment 6 Stefan Grosse 2014-07-10 16:32:54 UTC
Thank you. The issue was fixed by the update.

Comment 7 Fedora Update System 2014-07-17 04:28:39 UTC
gretl-1.9.90-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-07-17 04:29:12 UTC
gretl-1.9.90-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 hannes 2014-07-30 10:10:24 UTC
Just a heads up, but I also now updated the version to 1.9.91, which also fixes the encoding bug.


Note You need to log in before you can comment on or make changes to this bug.